﻿<?xml version="1.0"?>
<!--
/* Hoven DEFAULT-STYLE get.xsl
 * Copyright (C) 2006 Hoven Project.
 */
-->
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 	xmlns="http://www.w3.org/1999/xhtml" version="1.0">
<xsl:output
	doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	doctype-system="DTD/xhtml1-transitional.dtd"/>
	<xsl:template match="/">
		<xsl:element name="html">
		<xsl:element name="head">
			<xsl:element name="title">
				<xsl:value-of select="SHINGETSU/INFO/TITLE"/>
			</xsl:element>
			<xsl:element name="script">
				<xsl:attribute name="type">
					<xsl:text>text/javascript</xsl:text>
				</xsl:attribute>
				<xsl:text>
					var uiLang = "ja";
					var initFunc = [];
					function doInitFunc() {
					  for (var i=0; i!=initFunc.length; i++) {
					    initFunc[i]();
					  }
					}
				</xsl:text>
				<xsl:text>var fileName='</xsl:text><xsl:value-of select="SHINGETSU/INFO/FILE"/><xsl:text>';</xsl:text>
				<xsl:text>window.location.hash='r' + '</xsl:text><xsl:value-of select="SHINGETSU/INFO/RECENT_ID"/><xsl:text>';</xsl:text>
			</xsl:element>
			<xsl:element name="script">
				<xsl:attribute name="type">
					<xsl:text>text/javascript</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="src">
					<xsl:value-of select="concat(SHINGETSU/INFO/THEME, '/20unescape.js')"/>
				</xsl:attribute>
				<xsl:text><!--include--></xsl:text>
			</xsl:element>
			<xsl:element name="script">
				<xsl:attribute name="type">
					<xsl:text>text/javascript</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="src">
					<xsl:value-of select="concat(SHINGETSU/INFO/THEME, '/', '20popup.js')"/>
				</xsl:attribute>
				<xsl:text><!--include--></xsl:text>
			</xsl:element>
			<xsl:element name="script">
				<xsl:attribute name="type">
					<xsl:text>text/javascript</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="src">
					<xsl:value-of select="concat(SHINGETSU/INFO/THEME, '/20imgpopup.js')"/>
				</xsl:attribute>
				<xsl:text><!--include--></xsl:text>
			</xsl:element>
			<xsl:element name="script">
				<xsl:attribute name="type">
					<xsl:text>text/javascript</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="src">
					<xsl:value-of select="concat(SHINGETSU/INFO/THEME, '/', '20jump.js')"/>
				</xsl:attribute>
				<xsl:text><!--include--></xsl:text>
			</xsl:element>
			<xsl:element name="script">
				<xsl:attribute name="type">
					<xsl:text>text/javascript</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="src">
					<xsl:value-of select="concat(SHINGETSU/INFO/THEME, '/', '20localtime.js')"/>
				</xsl:attribute>
				<xsl:text><!--include--></xsl:text>
			</xsl:element>
			<xsl:element name="script">
				<xsl:attribute name="type">
					<xsl:text>text/javascript</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="src">
					<xsl:value-of select="concat(SHINGETSU/INFO/THEME, '/20autolink.js')"/>
				</xsl:attribute>
				<xsl:text><!--include--></xsl:text>
			</xsl:element>
			<xsl:element name="script">
				<xsl:attribute name="type">
					<xsl:text>text/javascript</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="src">
					<xsl:value-of select="concat(SHINGETSU/INFO/THEME, '/', '20resanchor.js')"/>
				</xsl:attribute>
				<xsl:text><!--include--></xsl:text>
			</xsl:element>
			<xsl:element name="script">
				<xsl:attribute name="type">
					<xsl:text>text/javascript</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="src">
					<xsl:value-of select="concat(SHINGETSU/INFO/THEME, '/', '20responce.js')"/>
				</xsl:attribute>
				<xsl:text><!--include--></xsl:text>
			</xsl:element>
			<xsl:element name="script">
				<xsl:attribute name="type">
					<xsl:text>text/javascript</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="src">
					<xsl:value-of select="concat(SHINGETSU/INFO/THEME, '/', '20textarea.js')"/>
				</xsl:attribute>
				<xsl:text><!--include--></xsl:text>
			</xsl:element>
			<xsl:element name="link">
				<xsl:attribute name="rel">
					<xsl:text>stylesheet</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="type">
					<xsl:text>text/css</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="href">
					<xsl:value-of select="concat(SHINGETSU/INFO/THEME, '/', '00default.css')"/>
				</xsl:attribute>
			</xsl:element>
		</xsl:element><!--END OF HEAD-->
		
		<xsl:element name="body">
			<xsl:attribute name="onload">
				<xsl:text>doInitFunc();</xsl:text>
			</xsl:attribute>
			<!--DEcLARE-->
			<xsl:variable name="rdel">
				<xsl:value-of 
					select="concat(SHINGETSU/INFO/GATEWAY, 'admin.cgi?cmd=rdel&amp;file=', SHINGETSU/INFO/FILE)"/>
			</xsl:variable>
			<xsl:element name="dl">
				<xsl:for-each select="SHINGETSU/ITEMS/ITEM">
					<!--DECLEARE-->
					<xsl:variable name="name">
						<xsl:value-of select="NAME"/>
					</xsl:variable>
					<xsl:variable name="email">
						<xsl:value-of select="MAIL"/>
					</xsl:variable>
					<xsl:variable name="attach">
						<xsl:value-of select="ATTACH_PATH"/>
					</xsl:variable>
					<xsl:variable name="sign">
						<xsl:value-of select="TRIP"/>
					</xsl:variable>
					<xsl:variable name="remove_id">
						<xsl:value-of select="substring(REMOVE_ID, 0, 8)"/>
					</xsl:variable>
		          	
		          	<!--DT-->
					<xsl:element name="dt">
						<xsl:attribute name="id">
							<xsl:value-of select="concat('r',ID)"/>
						</xsl:attribute>
						<xsl:element name="a">
							<xsl:attribute name="href">
								<xsl:value-of select="concat('#',ID)"/>
							</xsl:attribute>
							<xsl:attribute name="class">
								<xsl:text>id</xsl:text>
							</xsl:attribute>
							<xsl:attribute name="id">
								<xsl:value-of select="concat('i', ID)"/>
							</xsl:attribute>
							<xsl:attribute name="name">
								<xsl:value-of select="concat('i', ID)"/>
							</xsl:attribute>
							<xsl:attribute name="title">
								<xsl:text>Permalink</xsl:text>
							</xsl:attribute>
							<xsl:value-of select="ID"/>
						</xsl:element>
						<xsl:element name="span">
							<xsl:attribute name="class">
								<xsl:text>name</xsl:text>
							</xsl:attribute>
							<xsl:if test="$name!=''">
								<xsl:value-of select="concat(' ', $name, ' ')"/>
							</xsl:if>
							<xsl:if test="$name=''">
								<xsl:text> 名無しさん </xsl:text>
							</xsl:if>
						</xsl:element>
						<xsl:if test="$sign!=''">
							<xsl:element name="span">
								<xsl:attribute name="class">
									<xsl:text>sign</xsl:text>
								</xsl:attribute>
								<xsl:value-of select="concat(' ', $sign, ' ')"/>
							</xsl:element>
						</xsl:if>
						<xsl:if test="$email!=''">
							<xsl:text>  [</xsl:text>
							<xsl:value-of select="$email"/>
							<xsl:text>]  </xsl:text>
						</xsl:if>
						<xsl:element name="span">
							<xsl:attribute name="class">
								<xsl:text>stamp</xsl:text>
							</xsl:attribute>
							<xsl:attribute name="id">
								<xsl:value-of select="concat('s',TIMESTAMP)"/>
							</xsl:attribute>
							<xsl:text>dummy-time</xsl:text>
						</xsl:element>
<!--
						<xsl:element name="a">
							<xsl:attribute name="href">
								<xsl:value-of select="concat('shingetsu://',/SHINGETSU/INFO/FILE,'/post/',ID)"/>
							</xsl:attribute>
							<xsl:text>[返信]</xsl:text>
						</xsl:element>
-->
						<xsl:element name="br"/>
						<xsl:if test="$attach!=''">
							<xsl:element name="a">
								<xsl:attribute name="href">
									<xsl:value-of select="$attach"/>
								</xsl:attribute>
								<xsl:value-of select="concat(TIMESTAMP, '.', ATTACH_EXT)"/>
							</xsl:element>
							<xsl:text>  </xsl:text>
						</xsl:if>
					</xsl:element>
					
					<xsl:if test="$remove_id!=''">
						<xsl:text>【削除依頼】</xsl:text>
						<xsl:element name="a">
							<xsl:attribute name="href">
								<xsl:value-of select="concat($rdel, '&amp;record=', REMOVE_STAMP, '_', REMOVE_ID)"/>
							</xsl:attribute>
							<xsl:text>【ゲートウェイを開く】</xsl:text>
						</xsl:element>
					</xsl:if>
					<!--DD-->
					<xsl:element name="dd">
						<xsl:attribute name="id">
							<xsl:value-of select="concat('b',ID)"/>
						</xsl:attribute>
						<xsl:if test="$remove_id!=''">
							<xsl:text>&gt;&gt;</xsl:text>
							<xsl:value-of select="$remove_id"/>
							<xsl:element name="br"/>
						</xsl:if>
						<xsl:for-each select="MESSAGE/LINE">
							<xsl:value-of select="translate(., ' ', '&#160;')"/><xsl:element name="br"/>
						</xsl:for-each>
					</xsl:element>
				</xsl:for-each>
			</xsl:element><!--END OF DT-->
		</xsl:element><!--END OF BODY-->
	</xsl:element><!--END OF HTML-->
</xsl:template>
</xsl:stylesheet>
